## RygelHTTPGet

RygelHTTPGet — Responsible for handling HTTP GET & HEAD client requests.

## Functions

RygelHTTPGet * | rygel_http_get_new ()

## Types and Values

#define | RYGEL_TYPE_HTTP_GET
struct | RygelHTTPGet
struct | RygelHTTPGetClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPRequest
            ╰── RygelHTTPGet

## Implemented Interfaces

RygelHTTPGet implements RygelStateMachine.

## Description

## Functions

### rygel_http_get_new ()

    RygelHTTPGet *
    rygel_http_get_new (RygelHTTPServer *http_server,
                        SoupServer *server,
                        SoupMessage *msg);

#### Parameters

http_server |  |
server |  |
msg |  |

## Types and Values

### RYGEL_TYPE_HTTP_GET

    #define RYGEL_TYPE_HTTP_GET (rygel_http_get_get_type ())

The type for RygelHTTPGet.

### struct RygelHTTPGet

    struct RygelHTTPGet;

Responsible for handling HTTP GET & HEAD client requests.

### struct RygelHTTPGetClass

    struct RygelHTTPGetClass {
    	RygelHTTPRequestClass parent_class;
    };

The class structure for `RYGEL_TYPE_HTTP_GET`. All the fields in this structure are private and should never be accessed directly.

#### Members